Bug 876427 - CopyTrans REST service returns 404 for docs in sub directories
CopyTrans REST service returns 404 for docs in sub directories
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Carlos Munoz
Alex Eng
Depends On:
  Show dependency treegraph
Reported: 2012-11-13 23:51 EST by Carlos Munoz
Modified: 2013-02-25 22:46 EST (History)
3 users (show)

See Also:
Fixed In Version: Zanata version 2.0.3-SNAPSHOT (20121128-1124)
Doc Type: Bug Fix
Doc Text:
Cause: Incorrect Rest service mappings for copy trans REST endpoint. Consequence: Invocation of copy trans for documents with slashes (/) in their doc ids fails with a 404 Not found error. Fix: Change the mapping to allow for slashes when invoking the copy trans service. Result: Copy trans can now be invoked via REST for documents with slashes in their paths.
Story Points: ---
Clone Of:
Last Closed: 2013-02-25 22:46:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-11-13 23:51:14 EST
Description of problem:
Copy Trans fails when running from the maven client and the source files are contained in sub directories.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Push source files that are contained in sub directories with the maven client. Be sure to use the -Dzanata.copyTrans option.
2. Make sure the source push does not fail.
Actual results:
Copy Trans fails for the first document and the maven client is aborted.

Expected results:
Copy Trans should complete and continue pushing until it completes all documents.
Comment 2 Alex Eng 2012-11-27 21:44:00 EST
Verified in Zanata version 2.0.3-SNAPSHOT (20121128-1124)

Note You need to log in before you can comment on or make changes to this bug.